Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.cache.annotation
Interface CacheAnnotationParser

All Known Implementing Classes:
  SpringCacheAnnotationParser

    public interface CacheAnnotationParser

Strategy interface for parsing known caching annotation types. `AnnotationCacheOperationSource` delegates to such parsers for supporting specific annotation types such as Spring's own `Cacheable`, `CachePut` or `CacheEvict`.

Since:
  3.1
Author:
  Costin Leau

Method Summary
`Collection<CacheOperation>` | `parseCacheAnnotations(AnnotatedElement ae)` Parses the cache definition for the given method or class, based on a known annotation type.

Method Detail

### parseCacheAnnotations

    Collection<CacheOperation> parseCacheAnnotations(AnnotatedElement ae)

  Parses the cache definition for the given method or class, based on a known annotation type.

  This essentially parses a known cache annotation into Spring's metadata attribute class. Returns `null` if the method/class is not cacheable.

  Parameters:
    `ae` - the annotated method or class
  Returns:
    CacheOperation the configured caching operation, or `null` if none was found
  See Also:
    `AnnotationCacheOperationSource#determineCacheOperation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD